<?php
/**
 * KindEditor PHP
 *
 * 本PHP程序是演示程序，建议不要直接在实际项目中使用。
 * 如果您确定直接使用本程序，使用之前请仔细确认相关安全设置。
 *
 */

require_once 'JSON.php';
require_once 'sdk.php';
$php_path = dirname(__FILE__) . '/';
$php_url = dirname($_SERVER['PHP_SELF']) . '/';

//文件保存目录路径
$save_path = $php_path . '../../../../uploads/';
//文件保存目录URL
$save_url = $php_url . '../../../../uploads/';
//定义允许上传的文件扩展名
$ext_arr = array(
	'image' => array('gif', 'jpg', 'jpeg', 'png'),
);
//最大文件大小
$max_size = 10000000; //10mb

$save_path = realpath($save_path) . '/';

//PHP上传失败
if (!empty($_FILES['imgFile']['error'])) {
	switch($_FILES['imgFile']['error']){
		case '1':
			$error = '单张图片不能超过10MB';
			break;
		case '2':
			$error = '超过表单允许的大小。';
			break;
		case '3':
			$error = '图片只有部分被上传。';
			break;
		case '4':
			$error = '请选择图片。';
			break;
		case '6':
			$error = '找不到临时目录。';
			break;
		case '7':
			$error = '写文件到硬盘出错。';
			break;
		case '8':
			$error = 'File upload stopped by extension。';
			break;
		case '999':
		default:
			$error = '未知错误。';
	}
	alert($error);
}

//有上传文件时
if (empty($_FILES) === false) {
	//原文件名
	$file_name = $_FILES['imgFile']['name'];
	//服务器上临时文件名
	$tmp_name = $_FILES['imgFile']['tmp_name'];
	//文件大小
	$file_size = $_FILES['imgFile']['size'];
	//检查文件名
	if (!$file_name) {
		alert("请选择文件。");
	}
	//检查文件大小
	if ($file_size > $max_size) {
		alert("上传文件大小超过限制。");
	}
	//检查目录名
	$dir_name = empty($_GET['dir']) ? 'image' : trim($_GET['dir']);
	if (empty($ext_arr[$dir_name])) {
		alert("目录名不正确。");
	}
	//获得文件扩展名
	$temp_arr = explode(".", $file_name);
	$file_ext = array_pop($temp_arr);
	$file_ext = trim($file_ext);
	$file_ext = strtolower($file_ext);
	//检查扩展名
	if (in_array($file_ext, $ext_arr[$dir_name]) === false) {
		alert("上传文件扩展名是不允许的扩展名。\n只允许" . implode(",", $ext_arr[$dir_name]) . "格式。");
	}

	//移动文件
	$res = uppictoku($tmp_name);
	if (!isset($res['linkurl'])) {
		alert("上传文件失败。");
	}
	$file_url = $res['linkurl'];
	header('Content-type: text/html; charset=UTF-8');
	$json = new Services_JSON();
	echo $json->encode(array('error' => 0, 'url' => $file_url));
	exit;
}

function alert($msg) {
	header('Content-type: text/html; charset=UTF-8');
	$json = new Services_JSON();
	echo $json->encode(array('error' => 1, 'message' => $msg));
	exit;
}


function resizeimage($srcfile,$filename = "",$w='583' ){
	$size=getimagesize($srcfile);
	switch($size[2]){
		case 1:
			$img=imagecreatefromgif($srcfile);
			break;
		case 2:
			$img=imagecreatefromjpeg($srcfile);
			break;
		case 3:
			$img=imagecreatefrompng($srcfile);
			break;
		default:
			exit;
	}
	//源图片的宽度和高度
	$srcw=imagesx($img);
	$srch=imagesy($img);
	$rate = 1;
	if($w <= $srcw){
		$rate = $w/$srcw;
	}
	//目的图片的宽度和高度
	if($size[0] <= $rate || $size[1] <= $rate){
		$dstw=$srcw;
		$dsth=$srch;
	}else{
		if($rate <= 1){
			$dstw=floor($srcw*$rate);
			$dsth=floor($srch*$rate);
		}else {
			$dstw=$rate;
			$rate = $rate/$srcw;
			$dsth=floor($srch*$rate);
		}
	}
	//echo "$dstw,$dsth,$srcw,$srch ";
	//新建一个真彩色图像
	$im=imagecreatetruecolor($dstw,$dsth);
	$black=imagecolorallocate($im,255,255,255);
	imagefilledrectangle($im,0,0,$dstw,$dsth,$black);
	imagecopyresized($im,$img,0,0,0,0,$dstw,$dsth,$srcw,$srch);
	// 以 JPEG 格式将图像输出到浏览器或文件
	if( $filename ) {
		//图片保存输出
		imagejpeg($im, $filename );
	}else {
		//图片输出到浏览器
		imagejpeg($im);
	}
	//释放图片
	imagedestroy($im);
	imagedestroy($img);
}
function uppictoku($file){
        define('MY_ACCESSKEY', '你的AccessKey');//获取地址:https://www.tietuku.cn/index/user/pickey.html
        define('MY_SECRETKEY', '你的SecretKey');//获取地址:https://www.tietuku.cn/index/user/pickey.html
        $ttk=new TTKClient(MY_ACCESSKEY,MY_SECRETKEY);
        $res=$ttk->uploadFile('你的相册ID',$file);//相册id 获取地址：https://www.tietuku.cn/console/index/index.html
        $arr = json_decode($res,true);
        if(isset($arr['linkurl'])){
                return $arr;
        }else{
                return $res;
        }
}